From 42f4fafd2be4c3ff9d2c5c742543dc843f757652 Mon Sep 17 00:00:00 2001
From: adilger <adilger>
Date: Wed, 7 Jan 2004 19:47:11 +0000
Subject: [PATCH] At least make some effort to detect errors in llog testing.

---
 lustre/tests/run-llog.sh | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

diff --git a/lustre/tests/run-llog.sh b/lustre/tests/run-llog.sh
index 64d64038d0..22434b7d2d 100644
--- a/lustre/tests/run-llog.sh
+++ b/lustre/tests/run-llog.sh
@@ -1,16 +1,24 @@
 #!/bin/bash
-insmod ../obdclass/llog_test.o
-../utils/lctl modules > /r/tmp/ogdb-localhost.localdomain
+PATH=`dirname $0`:`dirname $0`/../utils:$PATH
+insmod ../obdclass/llog_test.o || exit 1
+lctl modules > /r/tmp/ogdb-`hostname`
 echo "NOW reload debugging syms.."
 
-# Using ignore_errors will allow lctl to cleanup even if the test
-# fails.
-../utils/lctl <<EOF
-ignore_errors
+RC=0
+lctl <<EOT || RC=2
 newdev
 attach llog_test llt_name llt_uuid
 setup mds1
+EOT
+
+# Using ignore_errors will allow lctl to cleanup even if the test fails.
+lctl <<EOC
+cfg_device llt_name
+ignore_errors
 cleanup
 detach
-EOF
-rmmod llog_test
+EOC
+rmmod llog_test || RC2=3
+[ $RC -eq 0 -a "$RC2" ] && RC=$RC2
+
+exit $RC
-- 
GitLab